################################################################################
#                                                                              #
#    Noble Shaders                                                             #
#    Copyright (C) 2026  Belmu                                                 #
#                                                                              #
#    This program is free software: you can redistribute it and/or modify      #
#    it under the terms of the GNU General Public License as published by      #
#    the Free Software Foundation, either version 3 of the License, or         #
#    (at your option) any later version.                                       #
#                                                                              #
#    This program is distributed in the hope that it will be useful,           #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of            #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             #
#    GNU General Public License for more details.                              #
#                                                                              #
#    You should have received a copy of the GNU General Public License         #
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.    #
#                                                                              #
################################################################################

## WATER ########################

block.1001 = water

## EMITTERS #########################

block.1005 = lava magma_block
block.1006 = torch wall_torch lantern:hanging=false fire campfire:lit=true

block.1007 = soul_torch soul_wall_torch soul_lantern:hanging=false soul_fire soul_campfire:lit=true

block.1008 = lantern:hanging=true soul_lantern:hanging=true

block.1009 = sea_lantern glowstone
block.1010 = nether_portal

## WAVING BLOCKS ####################

#if MC_VERSION >= 12000

    # Misc (SSS)
    block.1011 = cactus vine hay_block clay sand cobweb kelp kelp_plant bamboo sugar_cane pumpkin_stem melon_stem lily_pad big_dripleaf big_dripleaf_stem honeycomb_block honey_block slime_block ice packed_ice snow snow_block \
                 white_wool orange_wool magenta_wool light_blue_wool yellow_wool lime_wool pink_wool gray_wool light_gray_wool cyan_wool purple_wool blue_wool brown_wool green_wool red_wool black_wool
    # Leaves
    block.1012 = oak_leaves spruce_leaves birch_leaves jungle_leaves acacia_leaves dark_oak_leaves azalea_leaves flowering_azalea_leaves cherry_leaves mangrove_leaves pale_oak_leaves alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves

    # Double plants
    block.1013 = sunflower:half=lower lilac:half=lower tall_grass:half=lower large_fern:half=lower rose_bush:half=lower peony:half=lower tall_seagrass:half=lower small_dripleaf:half=lower
    block.1014 = sunflower:half=upper lilac:half=upper tall_grass:half=upper large_fern:half=upper rose_bush:half=upper peony:half=upper tall_seagrass:half=upper small_dripleaf:half=upper

#elif MC_VERSION >= 11800

    # Misc (SSS)
    block.1011 = cactus vine hay_block clay sand cobweb kelp kelp_plant bamboo sugar_cane pumpkin_stem melon_stem lily_pad big_dripleaf big_dripleaf_stem honeycomb_block honey_block slime_block ice packed_ice snow snow_block \
                 white_wool orange_wool magenta_wool light_blue_wool yellow_wool lime_wool pink_wool gray_wool light_gray_wool cyan_wool purple_wool blue_wool brown_wool green_wool red_wool black_wool
    # Leaves
    block.1012 = oak_leaves spruce_leaves birch_leaves jungle_leaves acacia_leaves dark_oak_leaves azalea_leaves flowering_azalea_leaves alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves

    # Double plants
    block.1013 = sunflower:half=lower lilac:half=lower tall_grass:half=lower large_fern:half=lower rose_bush:half=lower peony:half=lower tall_seagrass:half=lower small_dripleaf:half=lower
    block.1014 = sunflower:half=upper lilac:half=upper tall_grass:half=upper large_fern:half=upper rose_bush:half=upper peony:half=upper tall_seagrass:half=upper small_dripleaf:half=upper

#else

    # Misc (SSS)
    block.1011 = cactus vine hay_block clay sand cobweb kelp kelp_plant bamboo sugar_cane pumpkin_stem melon_stem lily_pad honeycomb_block honey_block slime_block ice packed_ice snow snow_block \
                 white_wool orange_wool magenta_wool light_blue_wool yellow_wool lime_wool pink_wool gray_wool light_gray_wool cyan_wool purple_wool blue_wool brown_wool green_wool red_wool black_wool

    # Leaves
    block.1012 = oak_leaves spruce_leaves birch_leaves jungle_leaves acacia_leaves dark_oak_leaves alexscaves:ancient_leaves aoa3:achony_leaves aoa3:baobab_leaves aoa3:blood_leaves aoa3:blue_celevus_leaves aoa3:blue_haven_leaves aoa3:bright_shyre_leaves aoa3:churry_leaves aoa3:creep_leaves aoa3:dawn_leaves aoa3:green_celevus_leaves aoa3:haunted_eyes_leaves aoa3:haunted_leaves aoa3:irodust_leaves aoa3:irogold_leaves aoa3:lelyetian_leaves aoa3:lucalus_leaves aoa3:lunicia_leaves aoa3:lunosso_leaves aoa3:pink_haven_leaves aoa3:purple_celevus_leaves aoa3:purple_haven_leaves aoa3:red_celevus_leaves aoa3:red_haven_leaves aoa3:runic_leaves aoa3:shadow_leaves aoa3:shadowblood_leaves aoa3:shyre_leaves aoa3:stranglewood_leaves aoa3:turquoise_haven_leaves aoa3:vein_leaves aoa3:white_celevus_leaves aoa3:yellow_celevus_leaves aoa3:yellow_haven_leaves ars_nouveau:blue_archwood_leaves ars_nouveau:green_archwood_leaves ars_nouveau:purple_archwood_leaves ars_nouveau:red_archwood_leaves beachparty:palm_leaves ecologics:coconut_leaves ecologics:walnut_leaves galosphere:opal_leaves malum:azure_runewood_leaves malum:runewood_leaves malum:soulwood_leaves quark:ancient_leaves quark:blue_blossom_leaves quark:lavender_blossom_leaves quark:orange_blossom_leaves quark:red_blossom_leaves quark:yellow_blossom_leaves regions_unexplored:alpha_leaves regions_unexplored:apple_oak_leaves regions_unexplored:ashen_leaves regions_unexplored:bamboo_leaves regions_unexplored:baobab_leaves regions_unexplored:blackwood_leaves regions_unexplored:blue_magnolia_leaves regions_unexplored:brimwood_leaves regions_unexplored:cobalt_webbing regions_unexplored:cypress_leaves regions_unexplored:dead_leaves regions_unexplored:dead_pine_leaves regions_unexplored:eucalyptus_leaves regions_unexplored:flowering_leaves regions_unexplored:golden_larch_leaves regions_unexplored:joshua_leaves regions_unexplored:kapok_leaves regions_unexplored:larch_leaves regions_unexplored:lavender_wisteria_leaves regions_unexplored:magnolia_leaves regions_unexplored:maple_leaves regions_unexplored:orange_maple_leaves regions_unexplored:palm_leaves regions_unexplored:pine_leaves regions_unexplored:pink_magnolia_leaves regions_unexplored:red_maple_leaves regions_unexplored:redwood_leaves regions_unexplored:salmon_wisteria_leaves regions_unexplored:silver_birch_leaves regions_unexplored:sky_wisteria_leaves regions_unexplored:small_oak_leaves regions_unexplored:socotra_leaves regions_unexplored:white_magnolia_leaves regions_unexplored:willow_leaves spectrum:black_leaves spectrum:blue_leaves spectrum:brown_leaves spectrum:cyan_leaves spectrum:gray_leaves spectrum:green_leaves spectrum:jade_vine_petal_block spectrum:light_blue_leaves spectrum:light_gray_leaves spectrum:lime_leaves spectrum:magenta_leaves spectrum:nephrite_blossom_leaves spectrum:orange_leaves spectrum:pink_leaves spectrum:purple_leaves spectrum:red_leaves spectrum:spirit_sallow_leaves spectrum:weeping_gala_leaves spectrum:white_leaves spectrum:yellow_leaves

    # Double plants
    block.1013 = sunflower:half=lower lilac:half=lower tall_grass:half=lower large_fern:half=lower rose_bush:half=lower peony:half=lower tall_seagrass:half=lower
    block.1014 = sunflower:half=upper lilac:half=upper tall_grass:half=upper large_fern:half=upper rose_bush:half=upper peony:half=upper tall_seagrass:half=upper

#endif

#if MC_VERSION >= 12003

    # Plants
    block.1015 = bush dead_bush short_grass fern seagrass wheat carrots beetroots potatoes warped_roots crimson_roots nether_sprouts \
                 dandelion poppy blue_orchid allium azure_bluet red_tulip orange_tulip white_tulip pink_tulip oxeye_daisy cornflower lily_of_the_valley wither_rose sweet_berry_bush \
                 oak_sapling acacia_sapling dark_oak_sapling spruce_sapling jungle_sapling birch_sapling twisting_vines twisting_vines_plant weeping_vines weeping_vines_plant
#else

    # Plants
    block.1015 = dead_bush grass fern seagrass wheat carrots beetroots potatoes warped_roots crimson_roots nether_sprouts \
                 dandelion poppy blue_orchid allium azure_bluet red_tulip orange_tulip white_tulip pink_tulip oxeye_daisy cornflower lily_of_the_valley wither_rose sweet_berry_bush \
                 oak_sapling acacia_sapling dark_oak_sapling spruce_sapling jungle_sapling birch_sapling twisting_vines twisting_vines_plant weeping_vines weeping_vines_plant

#endif
